[![npm](https://img.shields.io/npm/v/gitea-repository-provider.svg)](https://www.npmjs.com/package/gitea-repository-provider)
[![Greenkeeper](https://badges.greenkeeper.io/arlac77/gitea-repository-provider.svg)](https://greenkeeper.io/)
[![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/arlac77/gitea-repository-provider)
[![styled with prettier](https://img.shields.io/badge/styled_with-prettier-ff69b4.svg)](https://github.com/prettier/prettier)
[![Build Status](https://secure.travis-ci.org/arlac77/gitea-repository-provider.png)](http://travis-ci.org/arlac77/gitea-repository-provider)
[![codecov.io](http://codecov.io/github/arlac77/gitea-repository-provider/coverage.svg?branch=master)](http://codecov.io/github/arlac77/gitea-repository-provider?branch=master)
[![Known Vulnerabilities](https://snyk.io/test/github/arlac77/gitea-repository-provider/badge.svg)](https://snyk.io/test/github/arlac77/gitea-repository-provider)
[![GitHub Issues](https://img.shields.io/github/issues/arlac77/gitea-repository-provider.svg?style=flat-square)](https://github.com/arlac77/gitea-repository-provider/issues)
[![Dependency Status](https://david-dm.org/arlac77/gitea-repository-provider.svg)](https://david-dm.org/arlac77/gitea-repository-provider)
[![devDependency Status](https://david-dm.org/arlac77/gitea-repository-provider/dev-status.svg)](https://david-dm.org/arlac77/gitea-repository-provider#info=devDependencies)
[![docs](http://inch-ci.org/github/arlac77/gitea-repository-provider.svg?branch=master)](http://inch-ci.org/github/arlac77/gitea-repository-provider)
[![downloads](http://img.shields.io/npm/dm/gitea-repository-provider.svg?style=flat-square)](https://npmjs.org/package/gitea-repository-provider)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/)

# gitea-repository-provider

repository provider for gitea

# usage

# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [GiteaProvider](#giteaprovider)
    -   [headers](#headers)
    -   [repositoryBases](#repositorybases)
    -   [environmentOptions](#environmentoptions)
    -   [areOptionsSufficciant](#areoptionssufficciant)
        -   [Parameters](#parameters)
-   [GiteaPullRequest](#giteapullrequest)
    -   [list](#list)
        -   [Parameters](#parameters-1)

## GiteaProvider

**Extends Provider**

Gitea provider

### headers

fetch headers

Returns **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** suitable as fetch headers

### repositoryBases

All possible base urls

Returns **[Array](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array)&lt;[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)>** common base urls of all repositories

### environmentOptions

known environment variables

Returns **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** 

Returns **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** GITEA_TOKEN api token

Returns **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** GITEA_API api url

### areOptionsSufficciant

#### Parameters

-   `options` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** 

Returns **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** true if token an api are present

## GiteaPullRequest

**Extends PullRequest**

### list

list all pull request for a given destination repo

#### Parameters

-   `destination` **Repository** 
-   `states` **[Set](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Set)&lt;[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)>** 

# install

With [npm](http://npmjs.org) do:

```shell
npm install gitea-repository-provider
```

# license

BSD-2-Clause
